package com.cyksj.model.views;

import lombok.Data;

import java.util.Date;
import java.util.Objects;

/**
 * @author chan
 * @date 2024/4/8 17:02
 */
@Data
public class ChatgptCarInfoView {

    /**
     * 车次id
     */
    private String carId;

    /**
     * 车次名称
     */
    private String carName;

    /**
     * 车次状态 繁忙 空闲 停运
     */

    private String status;


    /**
     * 得分
     */
    private Double score;

    /**
     * 可用时间
     */
    private Date expTime;

    /**
     * 车队可用时间
     */
    private Date teamExpTime;

    /**
     * 车次类型 team plus 3.5
     */

    private String type;

    /**
     * 限制次数
     */
    private Integer gptLimit;

    /**
     * 使用次数
     */

    private Integer use;

    /**
     * 是否为历史车次
     */
    private Boolean isHistory;

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        ChatgptCarInfoView that = (ChatgptCarInfoView) o;
        return Objects.equals(carId, that.carId);
    }

    @Override
    public int hashCode() {
        return Objects.hash(carId);
    }
}
